PETSc version 3.15.5
Fix/Edit manual page

# DMPlexCreateOverlapMigrationSF

Create an SF describing the new mesh distribution to make the overlap described by the input SF

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexCreateOverlapMigrationSF(DM dm, PetscSF overlapSF, PetscSF *migrationSF)

Collective on dm

### Input Parameters

| dm | - The DM
| overlapSF | - The SF mapping ghost points in overlap to owner points on other processes

### Output Parameter

| migrationSF | - An SF that maps original points in old locations to points in new locations

### See Also

DMPlexCreateOverlapLabel(), DMPlexDistributeOverlap(), DMPlexDistribute()

### Level

developer

### Location

src/dm/impls/plex/plexdistribute.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages